DH_SIZE(3)

NAME
DH_size, DH_bits - get Diffie-Hellman prime size

SYNOPSIS
#include <openssl/dh.h>

int DH_size(const DH *dh);

int DH_bits(const DH *dh);

DESCRIPTION
DH_size() returns the Diffie-Hellman prime size in bytes. It can be used to determine how much memory must be allocated for the shared secret computed by DH_compute_key().

DH_bits() returns the number of significant bits.

dh and dh->p must not be NULL.

RETURN VALUE
The size.

SEE ALSO
dh(3), DH_generate_key(3), BN_num_bits(3)

HISTORY
DH_bits() was added in OpenSSL 1.1.0.

COPYRIGHT
Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.